System 1.0.5000.0 2.0.0.0 4.0.0.0 System.EventArgs

A event is raised when the user suspends or resumes the operating system, or when a system power status notification occurs. A system power status notification can occur when a weak or charging power source is detected, or when a transition from AC or battery power source occurs.

The property of a indicates the type of power mode event that has occurred.

Provides data for the event.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor can be used to create a that indicates a type of power mode event.

  Initializes a new instance of the class using the specified power mode event type.

  One of the values that represents the type of power mode event.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.PowerModes To be added.

  This property indicates the type of the power mode transition that is occurring.

  Gets an identifier that indicates the type of the power mode event that has occurred.